<kendo-grid [data]="gridView" 
    [pageSize]="pageSize"
    [skip]="skip"
    [pageable]="true"
    [columnMenu]="true"
    (pageChange)="pageChange($event)"
    [sortable]="{
    allowUnsort: allowUnsort,
    mode: multiple ? 'multiple' : 'single'
    }"
    [sort]="sort"
    (sortChange)="sortChange($event)"
    [filterable]="true"
    [filter]="state.filter"
    (dataStateChange)="dataStateChange($event)"
    [groupable]="true"
    [reorderable]="reorder"
    [group]="groups"
    (groupChange)="groupChange($event)">
    <kendo-grid-column field="discountName" title="Discount Type" width="100">
        <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
            <a *ngIf="hasPermission(moduleName, 'E'); else normal" [routerLink]="['/tools/discountType/edit', dataItem.id]">
                {{ dataItem.discountName }} 
            </a>
            <ng-template #normal>
                {{ dataItem.discountName }}
            </ng-template>
        </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="discountType" title="Type" width="100">
    </kendo-grid-column>
    <kendo-grid-column field="discountAmount" title="Discount Amount" width="100" filter="numeric" format="{0:c}">
    </kendo-grid-column>
    <kendo-grid-column field="locationName" title="Location Name" width="100">
    </kendo-grid-column>
    <kendo-grid-column field="isModifiable" title="Modifiable" width="100">
        <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
            {{ dataItem.isModifiable ? "Yes" : "No" }}
        </ng-template>
    </kendo-grid-column>
    <kendo-grid-column field="isStatus" title="Status"  width="50" filter="boolean" [filterable]="false">
        <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
            {{ dataItem.isStatus ? "Active" : "Inactive" }}
        </ng-template>
    </kendo-grid-column>
</kendo-grid>
